package de.towerdefence.server.match;

import de.towerdefence.server.player.Player;
import de.towerdefence.server.server.channels.match.placing.Tower;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class MatchService {
    private final Map<Player, Match> playerMatches = new HashMap<>();

    public void createMatch(String matchId, Player player1, Player player2) {
        Match match = new Match(matchId, player1, player2);
        playerMatches.put(player1, match);
        playerMatches.put(player2, match);
    }

    public Match get(Player player) {
        return playerMatches.get(player);
    }

    /**
     * @return opponent
     */
    public Player placeTower(Player player, int x, int y) throws InvalidPlacementException {
        return playerMatches.get(player).addTower(player, new Tower(), x, y);

    }
}
